backend:
  name: github
  local_backend: true
publish_mode: editorial_workflow
media_folder: "src/images"
public_folder: "/src/images"
media_folder_relative: true

collections:
  - name: "blog_en"
    label: "Blog (EN)"
    folder: "src/content/blog/en"
    create: true
    slug: "{{slug}}"
    extension: "md"
    format: "frontmatter"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Description", name: "description", widget: "text" }
      - { label: "Contents", name: "contents", widget: "list" }
      - { label: "Author", name: "author", widget: "string" }
      - { label: "Role", name: "role", widget: "string", required: false }
      - { label: "Author Image", name: "authorImage", widget: "image" }
      - { label: "Author Image Alt", name: "authorImageAlt", widget: "string" }
      - { label: "Publish Date", name: "pubDate", widget: "date", format: "YYYY-MM-DD" }
      - { label: "Card Image", name: "cardImage", widget: "image" }
      - { label: "Card Image Alt", name: "cardImageAlt", widget: "string" }
      - { label: "Read Time (min)", name: "readTime", widget: "number", value_type: "int", min: 1 }
      - { label: "Tags", name: "tags", widget: "list", required: false }

  - name: "blog_fr"
    label: "Blog (FR)"
    folder: "src/content/blog/fr"
    create: true
    slug: "{{slug}}"
    extension: "md"
    format: "frontmatter"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Description", name: "description", widget: "text" }
      - { label: "Contents", name: "contents", widget: "list" }
      - { label: "Author", name: "author", widget: "string" }
      - { label: "Role", name: "role", widget: "string", required: false }
      - { label: "Author Image", name: "authorImage", widget: "image" }
      - { label: "Author Image Alt", name: "authorImageAlt", widget: "string" }
      - { label: "Publish Date", name: "pubDate", widget: "date", format: "YYYY-MM-DD" }
      - { label: "Card Image", name: "cardImage", widget: "image" }
      - { label: "Card Image Alt", name: "cardImageAlt", widget: "string" }
      - { label: "Read Time (min)", name: "readTime", widget: "number", value_type: "int", min: 1 }
      - { label: "Tags", name: "tags", widget: "list", required: false }

  - name: "insights_en"
    label: "Insights (EN)"
    folder: "src/content/insights/en"
    create: true
    slug: "{{slug}}"
    extension: "md"
    format: "frontmatter"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Description", name: "description", widget: "text" }
      - { label: "Card Image", name: "cardImage", widget: "image" }
      - { label: "Card Image Alt", name: "cardImageAlt", widget: "string" }

  - name: "insights_fr"
    label: "Insights (FR)"
    folder: "src/content/insights/fr"
    create: true
    slug: "{{slug}}"
    extension: "md"
    format: "frontmatter"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Description", name: "description", widget: "text" }
      - { label: "Card Image", name: "cardImage", widget: "image" }
      - { label: "Card Image Alt", name: "cardImageAlt", widget: "string" }
